---
title: vultr_inference
url: https://docs.vultr.com/reference/terraform/data-sources/inference
description: A data source for retrieving information about a Vultr Serverless Inference subscription using filters.
publish_date: 2025-09-15T13:33:03.172379Z
last_updated: 2025-09-15T14:14:40.311553Z
---

# vultr_inference

Get information about a Vultr Serverless Inference subscription.

## Example Usage

Get the information for an inference subscription by `label`:

```hcl
data "vultr_inference" "example_inference" {
  filter {
    name   = "label"
    values = ["my_inference_label"]
  }
}
```

## Argument Reference

The following arguments are supported:

* `filter` - (Required) Query parameters for finding inference subscriptions.

The `filter` block supports the following:

* `name` - Attribute name to filter with.
* `values` - One or more values filter with.

## Attributes Reference

The following attributes are exported:

* `date_created` - The date the inference subscription was added to your Vultr account.
* `label` - The inference subscription's label.
* `api_key` - The inference subscription's API key for accessing the Vultr Inference API.